Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::StaticSphereCollision Class Reference

静的球コリジョン More...

`#include <StaticSphereCollision.h>`

Inheritance diagram for Lamp::StaticSphereCollision:

List of all members.

## Public Member Functions
virtual void | intersection (IntersectionResult *result, const Sphere &sphere, u_int collisionMask=0xffffffff)
| 球交差
virtual void | intersection (IntersectionResult *result, StaticSphereCollision *sphere, u_int collisionMask=0xffffffff)
| 球コリジョン交差
void | setSphere (const Sphere &sphere)
| 球の設定
void | setSphere (const Vector3 &center, float radius)
| 球の設定
virtual const Sphere & | getSphere () const
| 球の取得
virtual const Sphere & | getWorldSphere ()
| ワールド球の取得
void | setCenter (const Vector3 &center)
| 中心の設定
const Vector3 & | getCenter () const
| 中心の取得
void | setRadius (float radius)
| 半径の設定
float | getRadius () const
| 半径の取得
virtual CollisionObject * | copy () const
| コピー
virtual CollisionLeaf * | copyCollisionLeaf () const
| コリジョンリーフのコピー
virtual StaticCollisionLeaf * | copyStaticCollisionLeaf () const
| 静的コリジョンリーフのコピー
virtual StaticSphereCollision * | copyStaticSphereCollision () const
| 静的球コリジョンのコピー
virtual bool | isStaticSphereCollision () const
| 静的球コリジョンかどうか
## Protected Member Functions
| StaticSphereCollision (const String &name, CollisionScene *scene)
| コンストラクタ
virtual | ~StaticSphereCollision ()
| デストラクタ
virtual void | traverseImplement (const Matrix34 &parentMatrix, bool parentEnabled, bool parentScaled, bool parentChanged)
| 走査
## Friends
class | CollisionScene

## Detailed Description

静的球コリジョン

Definition at line 36 of file StaticSphereCollision.h.

## Constructor & Destructor Documentation

Lamp::StaticSphereCollision::StaticSphereCollision | ( | const String & | name,
|  | CollisionScene * | scene
| ) | `[protected]`

  | コンストラクタ Parameters:
  name | 名前
  scene | シーン
Definition at line 36 of file StaticSphereCollision.cpp.

## Member Function Documentation

virtual CollisionObject* Lamp::StaticSphereCollision::copy | ( |  | ) | const`[inline, virtual]`

| コピー Returns: コピーされたコリジョンオブジェクト Implements Lamp::CollisionObject. Definition at line 137 of file StaticSphereCollision.h. References copyStaticSphereCollision().

virtual CollisionLeaf* Lamp::StaticSphereCollision::copyCollisionLeaf | ( |  | ) | const`[inline, virtual]`

| コリジョンリーフのコピー Returns: コピーされたコリジョンリーフ Implements Lamp::CollisionLeaf. Definition at line 145 of file StaticSphereCollision.h. References copyStaticSphereCollision().

virtual StaticCollisionLeaf* Lamp::StaticSphereCollision::copyStaticCollisionLeaf | ( |  | ) | const`[inline, virtual]`

| 静的コリジョンリーフのコピー Returns: コピーされた静的コリジョンリーフ Implements Lamp::StaticCollisionLeaf. Definition at line 153 of file StaticSphereCollision.h. References copyStaticSphereCollision().

StaticSphereCollision * Lamp::StaticSphereCollision::copyStaticSphereCollision | ( |  | ) | const`[virtual]`

| 静的球コリジョンのコピー Returns: コピーされた静的球コリジョン Definition at line 50 of file StaticSphereCollision.cpp. References Lamp::StaticCollisionLeaf::copyStaticCollisionLeafValue(), Lamp::CollisionScene::createStaticSphereCollision(), Lamp::CollisionObject::getName(), Lamp::CollisionObject::getScene(), sphere_, and worldSphere_. Referenced by copy(), copyCollisionLeaf(), and copyStaticCollisionLeaf().

const Vector3& Lamp::StaticSphereCollision::getCenter | ( |  | ) | const`[inline]`

| 中心の取得 Returns: 中心 Definition at line 112 of file StaticSphereCollision.h. References Lamp::Sphere::getCenter(). Referenced by Lamp::TextCollisionSaver::writeStaticSphereCollision().

float Lamp::StaticSphereCollision::getRadius | ( |  | ) | const`[inline]`

| 半径の取得 Returns: 半径 Definition at line 128 of file StaticSphereCollision.h. References Lamp::Sphere::getRadius(). Referenced by Lamp::TextCollisionSaver::writeStaticSphereCollision().

virtual const Sphere& Lamp::StaticSphereCollision::getSphere | ( |  | ) | const`[inline, virtual]`

| 球の取得 Returns: ローカル座標の球 Definition at line 86 of file StaticSphereCollision.h.

virtual const Sphere& Lamp::StaticSphereCollision::getWorldSphere | ( |  | ) | `[inline, virtual]`

| ワールド球の取得 Returns: ワールド座標の球 Definition at line 93 of file StaticSphereCollision.h. References Assert, and Lamp::CollisionObject::isGlobalEnabled(). Referenced by intersection(), Lamp::StaticDeformedMeshCollision::intersection(), and Lamp::CollisionRenderer::setupStaticSphereCollision().

void Lamp::StaticSphereCollision::intersection | ( | IntersectionResult * | result,
|  | StaticSphereCollision * | sphere,
|  | u_int | collisionMask = 0xffffffff
| ) | `[virtual]`

  | 球コリジョン交差 Parameters:
  result | 交差結果
  sphere | 球コリジョン
  collisionMask | コリジョンマスク
Reimplemented from Lamp::CollisionLeaf. Definition at line 79 of file StaticSphereCollision.cpp. References Lamp::IntersectionResult::add(), Lamp::CollisionLeaf::getCollisionMask(), getWorldSphere(), Lamp::Sphere::intersect(), intersection(), and Lamp::CollisionObject::isGlobalEnabled().

void Lamp::StaticSphereCollision::intersection | ( | IntersectionResult * | result,
|  | const Sphere & | sphere,
|  | u_int | collisionMask = 0xffffffff
| ) | `[virtual]`

  | 球交差 Parameters:
  result | 交差結果
  sphere | 球
  collisionMask | コリジョンマスク
Reimplemented from Lamp::CollisionLeaf. Definition at line 65 of file StaticSphereCollision.cpp. References Lamp::IntersectionResult::add(), Lamp::CollisionLeaf::getCollisionMask(), Lamp::Sphere::intersect(), intersection(), and Lamp::CollisionObject::isGlobalEnabled(). Referenced by intersection().

virtual bool Lamp::StaticSphereCollision::isStaticSphereCollision | ( |  | ) | const`[inline, virtual]`

| 静的球コリジョンかどうか Returns: 静的球コリジョンならtrue Reimplemented from Lamp::CollisionObject. Definition at line 171 of file StaticSphereCollision.h.

void Lamp::StaticSphereCollision::setCenter | ( | const Vector3 & | center | ) | `[inline]`

  | 中心の設定 Parameters:
  center | 設定する中心
Definition at line 103 of file StaticSphereCollision.h. References Lamp::Sphere::setCenter(), and Lamp::CollisionObject::setChanged().

void Lamp::StaticSphereCollision::setRadius | ( | float | radius | ) | `[inline]`

  | 半径の設定 Parameters:
  radius | 設定する半径
Definition at line 119 of file StaticSphereCollision.h. References Lamp::CollisionObject::setChanged(), and Lamp::Sphere::setRadius().

void Lamp::StaticSphereCollision::setSphere | ( | const Vector3 & | center,
|  | float | radius
| ) | `[inline]`

  | 球の設定 Parameters:
  center | 設定する中心
  radius | 設定する半径
Definition at line 77 of file StaticSphereCollision.h. References Lamp::Sphere::set(), and Lamp::CollisionObject::setChanged().

void Lamp::StaticSphereCollision::setSphere | ( | const Sphere & | sphere | ) | `[inline]`

  | 球の設定 Parameters:
  sphere | 設定する球
Definition at line 67 of file StaticSphereCollision.h. References Lamp::CollisionObject::setChanged(). Referenced by Lamp::TextCollisionLoader::readStaticSphere().

void Lamp::StaticSphereCollision::traverseImplement | ( | const Matrix34 & | parentMatrix,
|  | bool | parentEnabled,
|  | bool | parentScaled,
|  | bool | parentChanged
| ) | `[protected, virtual]`

  | 走査 Parameters:
  parentMatrix | 親行列
  parentEnabled | 親が有効か
  parentScaled | 親がスケールを使用しているか
  parentChanged | 親に変更があったか
Implements Lamp::CollisionObject. Definition at line 97 of file StaticSphereCollision.cpp. References Lamp::Sphere::scaledTransform(), Lamp::Sphere::transform(), and Lamp::CollisionLeaf::traverseSetup().

The documentation for this class was generated from the following files:

- StaticSphereCollision.h
- StaticSphereCollision.cpp